(function(app) {
  app.LanguagesSortPipe = ng.core
    .Pipe({
      name: 'sort'
    })
    .Class({
      constructor: function() {},
      transform: function(languages) {      
        var byName = function(language1, language2) {
          return language1.name.localeCompare(language2.name);
        }
        return languages.slice().sort(byName);
      }
    });
})(window.app || (window.app = {}));