var express = require('express');
var router = express.Router();
var language = require('../models/language');

router.get('/', function(req, res, next) {
  language.all(function(err, data) {
    res.send(data);
  });
});

router.post('/', function(req, res, next) {
  var newLanguage = req.body;
  language.add(newLanguage, function(err) {
    res.send('language added');
  });
});

router.delete('/:id', function(req, res, next) {
  language.delete(req.params.id, function(err) {
    if(err)
      res.send('unable to delete language with id: ' + req.params.id);
    else
      res.send('language deleted');
  });
});

module.exports = router;
